From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/thefuck/
Date: Thu, 24 May 2018 20:36:51 +0000 (UTC) [thread overview]
Message-ID: <1527194206.4744eede230d3b7bf7b7f92724740d3f336e54ae.monsieurp@gentoo> (raw)
commit: 4744eede230d3b7bf7b7f92724740d3f336e54ae
Author: Nils Freydank <holgersson <AT> posteo <DOT> de>
AuthorDate: Thu May 24 19:50:53 2018 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu May 24 20:36:46 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4744eede
app-shells/thefuck: version bump to 3.27 and EAPI=7.
Package-Manager: Portage-2.3.38, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/8568
app-shells/thefuck/Manifest | 1 +
app-shells/thefuck/thefuck-3.27.ebuild | 41 ++++++++++++++++++++++++++++++++++
2 files changed, 42 insertions(+)
diff --git a/app-shells/thefuck/Manifest b/app-shells/thefuck/Manifest
index 9ecc9ce95de..125b8b02f84 100644
--- a/app-shells/thefuck/Manifest
+++ b/app-shells/thefuck/Manifest
@@ -1,3 +1,4 @@
DIST thefuck-3.24.tar.gz 1360450 BLAKE2B 38a4a0484220eb92e75d164958f7a1db9d3828268a352da7a99ea79487869a39c88cdb65a315a49f71cd70a8d3ce488b1b692c241dff7329fc27c16ba33ce81f SHA512 d4949ea723cf3b080f2fbe269d0cafe3d0266089fa8cc515b3b9376b2004c045be82716cd219741a60a0e99c20575adb92339a879467f709f7ca03dcc71a5c2d
DIST thefuck-3.25.tar.gz 1362279 BLAKE2B 52b3f1c8756b6981c0528fd77c18256957dd5d628ea37801b9c9abf6114e1cef8af53d9d1dd50fc7c88fad7bd628dc8373aa70dbc6933c07c63b7da31eb5d95a SHA512 c7b215358c09e1fa5e6aae519e7d6c3fd50027b4c72bb1c128786cd2cff707196f2b9b2a23dfed34d841874caab9463791e82c9083f6aac9c90f26d12a4d4598
DIST thefuck-3.26.tar.gz 1365778 BLAKE2B 3266fc5a1e351df1ccd13bfb6def6254194a05a94c7bf2bdcafb9c75414fce23b479eb1ac866333e8aef7d51bc609fc00aad8508e4cf0f0d959632744330e734 SHA512 2dbcc7ba0adb24b3f7d80d0c575a4ed515508e0ab5bc2fc4eb9ba82ad36325af1784eb9c241794ce0e038ed8e99042eb21cc3b29eeaa273517aebc7205ab787f
+DIST thefuck-3.27.tar.gz 1367120 BLAKE2B a840ac3e8f6807df632948e2fe2789a47bdcfececfd4a9bb0f1836bbaa641501e13c559221b9a2f25bbd93505c8b03db102636e480ece116a42c46f341d5cd35 SHA512 766c589f0e99a9773e74094e91c6a74d00e5be8b7241680ad664ecc3f549b597416bc7a4d289f399ed3a0d9ccad629ed78bb983edc809664c303c687ea1eec1a
diff --git a/app-shells/thefuck/thefuck-3.27.ebuild b/app-shells/thefuck/thefuck-3.27.ebuild
new file mode 100644
index 00000000000..9216446f6dd
--- /dev/null
+++ b/app-shells/thefuck/thefuck-3.27.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Magnificent app which corrects your previous console command"
+HOMEPAGE="https://github.com/nvbn/thefuck"
+SRC_URI="https://github.com/nvbn/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/decorator[${PYTHON_USEDEP}]
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/pyte[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ sed -i -e "/import pip/s/^/#/" -e "/pip.__version__/,+3 s/^/#/" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ py.test || die
+}
next reply other threads:[~2018-05-24 20:36 UTC|newest]
Thread overview: 51+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-05-24 20:36 Patrice Clement [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-22 13:19 [gentoo-commits] repo/gentoo:master commit in: app-shells/thefuck/ Matt Jolly
2023-05-29 23:50 Sam James
2023-05-01 7:16 Arthur Zamarin
2023-05-01 7:16 Arthur Zamarin
2022-08-15 4:45 John Helmert III
2022-08-15 4:42 John Helmert III
2022-04-16 19:35 Sam James
2022-04-16 19:35 Sam James
2022-04-16 19:35 Sam James
2020-12-03 11:10 Sam James
2020-12-03 7:22 Sam James
2020-12-03 7:21 Sam James
2020-12-03 7:21 Sam James
2019-01-19 3:35 Thomas Deutschmann
2018-05-24 20:36 Patrice Clement
2018-04-26 1:08 Manuel Rüger
2017-11-25 13:38 David Seifert
2017-11-24 23:09 Michael Palimaka
2017-11-21 18:05 Manuel Rüger
2017-10-19 14:50 Manuel Rüger
2017-09-20 13:58 Manuel Rüger
2017-09-08 22:12 Manuel Rüger
2017-09-08 22:12 Manuel Rüger
2017-08-21 11:58 Manuel Rüger
2017-05-12 15:19 Manuel Rüger
2017-05-12 15:19 Manuel Rüger
2017-04-15 17:04 Manuel Rüger
2017-03-15 15:14 Manuel Rüger
2017-03-15 15:14 Manuel Rüger
2017-01-11 16:59 Manuel Rüger
2017-01-11 16:57 Manuel Rüger
2016-09-04 14:36 Manuel Rüger
2016-09-04 14:04 Manuel Rüger
2016-09-04 14:04 Manuel Rüger
2016-09-03 17:18 Mike Gilbert
2016-08-17 21:31 Manuel Rüger
2016-07-09 13:54 Manuel Rüger
2016-07-09 13:53 Manuel Rüger
2016-07-07 12:25 Manuel Rüger
2016-04-29 20:31 Manuel Rüger
2016-04-29 20:31 Manuel Rüger
2016-04-19 20:42 Manuel Rüger
2016-03-25 15:00 Manuel Rüger
2016-03-25 15:00 Manuel Rüger
2016-03-14 21:03 Manuel Rüger
2016-03-14 21:03 Manuel Rüger
2016-03-13 11:40 Manuel Rüger
2016-03-13 11:40 Manuel Rüger
2016-03-13 11:40 Manuel Rüger
2016-03-12 23:40 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1527194206.4744eede230d3b7bf7b7f92724740d3f336e54ae.monsieurp@gentoo \
--to=monsieurp@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox